libunibreak 6.1

Loading...
Searching...
No Matches
Data Fields
EastAsianWidthProperties Struct Reference

Struct for entries of East Asian Width properties. More...

`#include <eastasianwidthdef.h>`

## Data Fields
utf32_t | start
| Start codepoint.
utf32_t | end
| End codepoint, inclusive.
enum EastAsianWidthClass | prop
| The East Asian Width property.

## Detailed Description

Struct for entries of East Asian Width properties.

The array of the entries must be sorted.

## Field Documentation

## ◆ end

utf32_t EastAsianWidthProperties::end

End codepoint, inclusive.

## ◆ prop

enum EastAsianWidthClass EastAsianWidthProperties::prop

The East Asian Width property.

## ◆ start

utf32_t EastAsianWidthProperties::start

Start codepoint.

The documentation for this struct was generated from the following file:

- eastasianwidthdef.h